For the complete documentation index, see llms.txt. This page is also available as Markdown.

Template (Synchronous)

Create Template

Request Endpoint URL

POST    https://api.innopaas.com/api/whatsapp/v3/waba/template/submit

Request Parameters

Field

Data Type

Required

Description

wabaId

String

Yes

Unique identifier for the WhatsApp Business account

name

String

Yes

Template name: (e.g.: limited_time_offer_tuscan_getaway_2023) composed of lowercase letters, numbers, and underscores; field limit is 512 characters.

category

String

Yes

Template type: 1-MARKETING, 2-AUTHENTICATION, 3-UTILITY

messageLanguage

String

Yes

Supported languages for the template, (language abbreviation code must be provided) Please refer to Appendix 1

headerType

Integer

Yes

Whether multimedia is supported, default 1, 1: None, 2: Text, 3: Image, 4: Video, 5: Document

caption

String

No

Header content:Field limited to characters (for multimedia templates, this field is empty), dynamic parameter format {{1}}

messageBody

String

No

Body content:Field limited to 1024 characters. Dynamic parameter format {{1}}{{2}}, inserted in order before and after.

footer

String

No

Footer content:Field limited to 60 characters (for AUTHENTICATION templates, this field indicates the expiration time, optional; expiration time limited to within 90 minutes)

safetyAdvice

Integer

No

Whether to add a safety recommendation to the AUTHENTICATION template (0: do not add, 1: add), optional. If not added, displays: *{{1}}* is your verification code. If added, displays: *{{1}}* is your verification code. For safety, please do not share this verification code.

buttons

Object[]

No

The total number of buttons cannot exceed 10

├─actionType

String

Button type 1-quick reply, 2-visit website, 3-call phone number, 4-copy code (when category is 2), 5-auto fill (when category is 2)

├─label

String

Button text

├─ phoneArea

String

Area code (e.g.: 86)

├─ phone

String

Number (e.g.: 18877776666)

├─packageName

String

Application package name,Required when template type is AUTHENTICATION and actionType = 5

├─sigNatureHash

String

Application hash signature,Required when template type is AUTHENTICATION and actionType = 5

├─ autoFill

String

Auto fill,Required when template type is AUTHENTICATION and actionType = 5

├─ zeroTapTermsAccepted

boolean

Accept the autofill terms,Required when template type is AUTHENTICATION and actionType = 5, andtrue

├─ targetUrl

String

Website access (e.g.: "https://www.chuanglan.com/{{1}}") Only one dynamic parameter is supported, format {{1}}

├─buttonExample

Array

Button variable example (e.g.: "buttonExample": ["https://www.chuanglan.com/whatsApp"]) Required when website access contains variables; the variable content must be the complete URL

headerExample

Object

No

├─ header_handle

Array

Multimedia template variable (e.g.: "header_handle": ["4::axxxx"]); for multimedia templates, fill in the handle content returned when the file is uploaded

├─ header_link

String

Resource URL, must be accessible from the public internet,Choose either header_link or header_handle; when header_link is not empty, header_handle will be replaced

├─ header_text

Array

Plain-text template variable (e.g.: "header_text": ["Chuanglan Cloud Intelligence"]); text dynamic parameter template variable, limited to 1 parameter

bodyExample

Object

No

├─ body_text

Array

Body variables (e.g.: "body_text":[["variable1","variable2"]]) The example variables correspond to the actual variables in order; variable {{1}} corresponds to variable1, and so on

Request Example

Response Example

Modify Template

Request Endpoint URL

Request Parameters

Field

Data Type

Required

Description

templateId

String

Yes

template ID

wabaId

String

Yes

Unique identifier for the WhatsApp Business account

name

String

Yes

Template name: (e.g.: limited_time_offer_tuscan_getaway_2023) composed of lowercase letters, numbers, and underscores; field limit is 512 characters.

category

String

Yes

Template type: 1-MARKETING, 2-AUTHENTICATION, 3-UTILITY

messageLanguage

String

Yes

Supported template languages:(language abbreviation code must be provided) Please refer to Appendix 1

headerType

Integer

Yes

Whether multimedia is supported, default 1, 1: None, 2: Text, 3: Image, 4: Video, 5: Document

caption

String

No

Header content:Field limited to characters (for multimedia templates, this field is empty), dynamic parameter format {{1}}

messageBody

String

No

Body content:Field limited to 1024 characters. Dynamic parameter format {{1}}{{2}}, inserted in order before and after.

footer

String

No

Footer content:Field limited to 60 characters (for AUTHENTICATION templates, this field indicates the expiration time, optional; expiration time limited to within 90 minutes)

safetyAdvice

Integer

No

Whether to add a safety recommendation to the AUTHENTICATION template (0: do not add, 1: add), optional. If not added, displays: *{{1}}* is your verification code. If added, displays: *{{1}}* is your verification code. For safety, please do not share this verification code.

buttons

Object[]

No

The total number of buttons cannot exceed 10

├─actionType

String

Button type 1-quick reply, 2-visit website, 3-call phone number, 4-copy code (when category is 2), 5-auto fill (when category is 2)

├─label

String

Button text

├─ phoneArea

String

Area code (e.g.: 86)

├─ phone

String

Number (e.g.: 18877776666)

├─packageName

String

Application package name,Optional for AUTHENTICATION templates

├─signatureHash

String

Application hash signature,Optional for AUTHENTICATION templates

├─ autoFill

String

Auto fill,Optional for AUTHENTICATION templates

├─ targetUrl

String

Website access (e.g.: "https://www.chuanglan.com/{{1}}") Only one dynamic parameter is supported, format {{1}}

├─buttonExample

Array

Button variable example (e.g.: "buttonExample": ["https://www.chuanglan.com/whatsApp"]) Required when website access contains variables; the variable content must be the complete URL

headerExample

Object[]

No

├─ header_handle

Array

Multimedia template variable (e.g.: "header_handle": ["4::axxxx"]); for multimedia templates, fill in the handle content returned when the file is uploaded

├─ header_link

String

Resource URL, must be accessible from the public internet,Choose either header_link or header_handle; when header_link is not empty, header_handle will be replaced

├─ header_text

Array

Plain-text template variable (e.g.: "header_text": ["Chuanglan Cloud Intelligence"]); text dynamic parameter template variable, limited to 1 parameter

bodyExample

Object[]

No

├─ body_text

Array

Body variables (e.g.: "body_text":[["variable1","variable2"]]) The example variables correspond to the actual variables in order; variable {{1}} corresponds to variable1, and so on

Request Example

Response Example

Template List

Request Endpoint URL

Request Parameters

Field

Data Type

Required

Description

page

Integer

Yes

Page number

size

Integer

Yes

Number of records returned per page

wabaId

String

Yes

Unique identifier for the WhatsApp Business account

name

String

No

Template name

templateId

String

No

template ID

category

list

No

Template type 1-MARKETING,2-AUTHENTICATION,3-UTILITY

messageLanguage

list

No

Template language (e.g.: en)

auditStatus

list

No

Template status 1: Pending, 2: Approved, 3: Rejected, 4: Paused, 5: Disabled

Request example code

Response Example

Delete List

Request Endpoint URL

API Description:

Request Parameters

Name
Type
Required
Note
Other Information

wabaId

string

Required

Unique identifier for the WhatsApp Business account

id

integer

Primary key ID of the template

Either id or templateId must be provided

templateId

string

template ID

Either id or templateId must be provided

Return Parameters

Name
Type
Required
Default Value
Note
Other Information

code

integer

Required

0: Success Others: Failure

data

object

Required

message

string

Required

最后更新于